Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos.measurable.memory
Class CalculableMemoryView

    java.lang.Object
      org.jini.rio.watch.DefaultCalculableView
          org.jini.rio.qos.measurable.memory.CalculableMemoryView

All Implemented Interfaces:
  CalculableViewable

    public class CalculableMemoryView

extends DefaultCalculableView

View elements for a CalculableMemory

Field Summary

Fields inherited from class org.jini.rio.watch.DefaultCalculableView
`accum, avgColor, BOTTOM_AXIS_MARGIN, BOTTOM_GRAPH_MARGIN, bottomLineValue, calcDisplayAttrs, currentSize, data, defaultFont, defaultFormater, devColor, drawHeight, drawWidth, highThreshold, HORIZONTAL__MIN_GRID_WIDTH, LEFT_AXIS_MARGIN, LEFT_GRAPH_MARGIN, lowThreshold, max, maxY, mean, min, minY, nbrHGrids, offset, rangeSize, RIGHT_AXIS_MARGIN, RIGHT_GRAPH_MARGIN, startRange, startValue, stdDev, stopRange, stopValue, title, titleFont, TOP_AXIS_MARGIN, TOP_GRAPH_MARGIN, topLineValue, TOTAL_H_GRAPH_MARGIN, TOTAL_V_GRAPH_MARGIN, valuesRange, VERTICAL__MIN_GRID_HEIGHT, VERTICAL_GRAPH_OFFSET, vStep, vStepMultiplier, watchDataSource, xFormat, xLegend, xLegendFont, xScale, yFormat, yLegend, yLegendFont, yScale`

Constructor Summary
`CalculableMemoryView()` Creates CalculableMemoryView
`CalculableMemoryView(CalculableDisplayAttributes calcDisplayAttrs)` Creates new CalculableMemoryView

Method Summary
`protected double` | `getBottomLineValue()`
`protected double` | `getTopLineValue()`

Methods inherited from class org.jini.rio.watch.DefaultCalculableView
`getLength, getOffset, getStartValue, getStopValue, initValues, paint, resetValues, setCalculableDisplayAttributes, setStartValue, setStopValue, setWatchDataSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalculableMemoryView

    public CalculableMemoryView()

  Creates CalculableMemoryView

### CalculableMemoryView

    public CalculableMemoryView(CalculableDisplayAttributes calcDisplayAttrs)

  Creates new CalculableMemoryView

  Parameters:
    `calcDisplayAttrs` - The CalculableDisplayAttributes used to format the graph

Method Detail

### getTopLineValue

    protected double getTopLineValue()

  Overrides:
    `getTopLineValue` in class `DefaultCalculableView`
  Returns:
    The value for the top Y axis

### getBottomLineValue

    protected double getBottomLineValue()

  Overrides:
    `getBottomLineValue` in class `DefaultCalculableView`
  Returns:
    The value for the bottom Y axis

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.